const React = require("react");

function DiscordIcon({
  title,
  titleId,
  ...props
}, svgRef) {
  return /*#__PURE__*/React.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "currentColor",
    "aria-hidden": "true",
    ref: svgRef,
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("path", {
    d: "M18.7 5.8c-1.3-.6-2.6-1-4-1.2-.2.3-.4.7-.5 1-1.5-.2-3-.2-4.4 0-.2-.4-.3-.7-.5-1-1.4.2-2.7.7-4 1.2-2.5 3.7-3.2 7.4-2.9 11 1.5 1.1 3.1 1.9 4.9 2.5.4-.5.7-1.1 1.1-1.7-.6-.2-1.1-.5-1.7-.8.1-.1.3-.2.4-.3 3.1 1.5 6.7 1.5 9.8 0 .1.1.3.2.4.3-.5.3-1.1.6-1.7.8.3.6.7 1.2 1.1 1.7 1.8-.5 3.4-1.4 4.9-2.5.4-4.2-.7-7.8-2.9-11zm-9.9 8.8c-1 0-1.7-.9-1.7-1.9s.8-1.9 1.7-1.9 1.8.9 1.7 1.9-.7 1.9-1.7 1.9zm6.4 0c-1 0-1.7-.9-1.7-1.9s.8-1.9 1.7-1.9 1.8.9 1.7 1.9-.7 1.9-1.7 1.9z"
  }));
}

const ForwardRef = React.forwardRef(DiscordIcon);
module.exports = ForwardRef;